Bug 494888 - i915-related page allocation failure in Xorg
i915-related page allocation failure in Xorg
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-08 10:36 EDT by James Ettle
Modified: 2010-05-05 06:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-05 06:18:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg excerpt showing the page allocation failure (4.81 KB, text/plain)
2009-04-08 10:36 EDT, James Ettle
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 13454 None None None Never

  None (edit)
Description James Ettle 2009-04-08 10:36:56 EDT
Created attachment 338717 [details]
dmesg excerpt showing the page allocation failure

Description of problem:
A number of page allocation failures in Xorg were witnessed while playing a video and playing around with Compiz plugins. This is on Intel X3100 graphics.

Version-Release number of selected component (if applicable):
kernel-2.6.29.1-54.fc11.x86_64
mesa-dri-drivers-7.5-0.7.fc11.x86_64
xorg-x11-drv-intel-2.6.99.902-2.fc11.x86_64
libdrm-2.4.5-4.fc11.x86_64
  
Actual results:
See attached for dmesg output. Some graphical corruption (fonts in Firefox) were observed afterwards.
Comment 1 James Ettle 2009-05-11 11:26:41 EDT
Seen also in kernel-2.6.29.3-135.fc11.x86_64, libdrm-2.4.6-6.fc11.x86_64, xorg-x11-drv-intel-2.7.0-4.fc11.x86_64.
Comment 2 James Ettle 2009-06-03 07:03:28 EDT
Still present in 2.6.29.4-167.fc11.x86_64.
Comment 3 Bug Zapper 2009-06-09 09:29:42 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 James Ettle 2009-08-03 16:51:22 EDT
Still present in recent kernel:

Pid: 1874, comm: Xorg Not tainted 2.6.29.6-217.2.3.fc11.x86_64 #1
Call Trace:
 [<ffffffff810a50b8>] __alloc_pages_internal+0x40d/0x429
 [<ffffffff810c7301>] alloc_pages_current+0xb7/0xc0
 [<ffffffff810a3717>] __get_free_pages+0x13/0x4e
 [<ffffffff810cd6e8>] __kmalloc+0x41/0x130
 [<ffffffff812444d3>] agp_alloc_page_array+0x31/0x51
 [<ffffffff81244544>] agp_generic_alloc_user+0x51/0xc8
 [<ffffffff81244693>] agp_allocate_memory+0x52/0x10b
 [<ffffffffa002940c>] drm_agp_allocate_memory+0xe/0x10 [drm]
 [<ffffffffa00295a9>] drm_agp_bind_pages+0x5d/0x10c [drm]
 [<ffffffffa0060288>] i915_gem_object_bind_to_gtt+0x1d7/0x249 [i915]
 [<ffffffffa0060325>] i915_gem_object_pin+0x2b/0x16a [i915]
 [<ffffffffa0061822>] i915_gem_execbuffer+0x3c4/0xcde [i915]
 [<ffffffffa006145e>] ? i915_gem_execbuffer+0x0/0xcde [i915]
 [<ffffffffa0023b8a>] drm_ioctl+0x20e/0x2c1 [drm]
 [<ffffffff810e0f34>] vfs_ioctl+0x6f/0x87
 [<ffffffff810e13cf>] do_vfs_ioctl+0x462/0x4a3
 [<ffffffff8104c7d6>] ? do_setitimer+0x19a/0x330
 [<ffffffff810e1466>] sys_ioctl+0x56/0x79
 [<ffffffff8101133a>] system_call_fastpath+0x16/0x1b
Mem-Info:
Node 0 DMA per-cpu:
CPU    0: hi:    0, btch:   1 usd:   0
CPU    1: hi:    0, btch:   1 usd:   0
Node 0 DMA32 per-cpu:
CPU    0: hi:  186, btch:  31 usd:  82
CPU    1: hi:  186, btch:  31 usd:   0
Active_anon:159403 active_file:60748 inactive_anon:53836
 inactive_file:173075 unevictable:6 dirty:51417 writeback:4040 unstable:0
 free:3804 slab:28807 mapped:28274 pagetables:10451 bounce:0
Node 0 DMA free:7996kB min:16kB low:20kB high:24kB active_anon:0kB inactive_anon:4kB active_file:0kB inactive_file:36kB unevictable:0kB present:6300kB pages_scanned:0 all_unreclaimable? no
lowmem_reserve[]: 0 1995 1995 1995
Node 0 DMA32 free:7220kB min:5704kB low:7128kB high:8556kB active_anon:637612kB inactive_anon:215340kB active_file:242992kB inactive_file:692264kB unevictable:24kB present:2043040kB pages_scanned:96 all_unreclaimable? no
lowmem_reserve[]: 0 0 0 0
Node 0 DMA: 1*4kB 1*8kB 3*16kB 2*32kB 3*64kB 2*128kB 1*256kB 2*512kB 2*1024kB 0*2048kB 1*4096kB = 7996kB
Node 0 DMA32: 1152*4kB 53*8kB 22*16kB 5*32kB 7*64kB 0*128kB 1*256kB 0*512kB 1*1024kB 0*2048kB 0*4096kB = 7272kB
268219 total pagecache pages
0 pages in swap cache
Swap cache stats: add 0, delete 0, find 0/0
Free swap  = 3997688kB
Total swap = 3997688kB
521920 pages RAM
14410 pages reserved
293033 pages shared
330327 pages non-shared

This seems to coincide with heavy I/O.
Comment 5 James Ettle 2009-09-12 08:40:05 EDT
Still getting these every so often in kernel-2.6.30.5-45.fc11.x86_64...

Pid: 1854, comm: Xorg Not tainted 2.6.30.5-45.fc11.x86_64 #1
Call Trace:
 [<ffffffff810da7f0>] __alloc_pages_internal+0x434/0x468
 [<ffffffff81101ec2>] alloc_pages_current+0xca/0xe9
 [<ffffffff810d8a51>] __get_free_pages+0x26/0x75
 [<ffffffff8110ab83>] __kmalloc+0x56/0x198
 [<ffffffffa00686f1>] ? kcalloc.clone.0+0x42/0x58 [i915]
 [<ffffffffa00686f1>] kcalloc.clone.0+0x42/0x58 [i915]
 [<ffffffffa0068732>] drm_calloc_large+0x2b/0x6c [i915]
 [<ffffffffa006bcc5>] i915_gem_execbuffer+0x1a9/0xd31 [i915]
 [<ffffffffa0067690>] ? drm_gem_object_unreference+0x2d/0x43 [i915]
 [<ffffffffa0029709>] ? drm_gem_object_reference+0x21/0x37 [drm]
 [<ffffffffa006bb1c>] ? i915_gem_execbuffer+0x0/0xd31 [i915]
 [<ffffffffa00289cc>] drm_ioctl+0x21d/0x2e9 [drm]
 [<ffffffff8101a18c>] ? __switch_to_xtra+0x156/0x1c6
 [<ffffffff81123744>] vfs_ioctl+0x7e/0xaa
 [<ffffffff81123bdc>] do_vfs_ioctl+0x46c/0x4c3
 [<ffffffff81123c98>] sys_ioctl+0x65/0x9c
 [<ffffffff81012082>] system_call_fastpath+0x16/0x1b
Mem-Info:
Node 0 DMA per-cpu:
CPU    0: hi:    0, btch:   1 usd:   0
CPU    1: hi:    0, btch:   1 usd:   0
Node 0 DMA32 per-cpu:
CPU    0: hi:  186, btch:  31 usd:   0
CPU    1: hi:  186, btch:  31 usd:   0
Active_anon:175380 active_file:66633 inactive_anon:67334
 inactive_file:112397 unevictable:2 dirty:186 writeback:7 unstable:0
 free:6896 slab:54860 mapped:21605 pagetables:9765 bounce:0
Node 0 DMA free:7108kB min:12kB low:12kB high:16kB active_anon:0kB inactive_anon:0kB active_file:0kB inactive_file:0kB unevictable:0kB present:5256kB pages_scanned:0 all_unreclaimable? no
lowmem_reserve[]: 0 1995 1995 1995
Node 0 DMA32 free:20476kB min:5708kB low:7132kB high:8560kB active_anon:701520kB inactive_anon:269336kB active_file:266532kB inactive_file:449588kB unevictable:8kB present:2043040kB pages_scanned:0 all_unreclaimable? no
lowmem_reserve[]: 0 0 0 0
Node 0 DMA: 5*4kB 2*8kB 4*16kB 5*32kB 1*64kB 3*128kB 1*256kB 2*512kB 1*1024kB 0*2048kB 1*4096kB = 7108kB
Node 0 DMA32: 4405*4kB 38*8kB 46*16kB 10*32kB 4*64kB 0*128kB 1*256kB 0*512kB 1*1024kB 0*2048kB 0*4096kB = 20516kB
312388 total pagecache pages
24146 pages in swap cache
Swap cache stats: add 130234, delete 106088, find 28962/35084
Free swap  = 3745928kB
Total swap = 3997688kB
521920 pages RAM
14690 pages reserved
202136 pages shared
359120 pages non-shared
Comment 6 Bug Zapper 2010-04-27 09:34:02 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 James Ettle 2010-05-05 06:18:12 EDT
I'm closing this WONTFIX and writing it off as part of the general brokenness of Linux kernel memory allocation, since this is just one example of PAFs that show up in high-pressure situations.

Note You need to log in before you can comment on or make changes to this bug.